/**
 * 机构管理
 */

/**
 * [index 机构列表]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function index(data) {
  return service.get('api/virtual/agents/index', {
    params: data
  });
}

/**
 * [show 机构详情]
 * @param  {[type]} id [description]
 * @return {[type]}      [description]
 */
export function show(id) {
  return service.get(`api/virtual/agents/show/${id}`);
}

/**
 * [create 创建机构]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function create(data) {
  return serviceForm.post('api/virtual/agents/create', data);
}

/**
 * [update 修改机构]
 * @param  {[type]} data [description]
 * @param  {[type]} id   [角色id]
 * @return {[type]}      [description]
 */
export function update(data, id) {
  return serviceForm.post(`api/virtual/agents/update/${id}`, data);
}

/**
 * [destroy 删除机构]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function destroy(data) {
  return service.post('api/virtual/agents/destroy', data);
}
